import { WebSocketMessage } from './websocket-message';

export interface MessageConfig extends WebSocketMessage {
  originator?: string;
}

export interface MessageData {
  originator?: string;
  timestamp?: Date;
  typing?: boolean;
  message: string;
}

export interface Message extends MessageData, WebSocketMessage {}
